﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
	<title>Ejercicio 50</title>
	
	<style>
	main{
		display:grid;
		grid-template-columns:250px 200px 200px 150px 150px 200px 200px;
		grid-template-rows:60px 60px 300px 150px 150px 30px;
		grid-template-areas:
			"header header header header header header header"
			"rojo morado morado morado morado morado morado"
			"rojo naranja1 naranja1 naranja1 naranja2 naranja2 naranja2"
			"rojo azul1 azul2 azul3 azul3 azul4 azul5"
			"rojo azul6 azul7 azul8 azul8 azul9 azul10"
			"footer footer footer footer footer footer footer";
		grid-gap:7px;
	}
	.header{
		grid-area:header;
		background-color:green;
	}
	.rojo{
		grid-area:rojo;
		background-color:maroon;
	}
	.morado{
		grid-area:morado;
		background-color:purple;
	}
	.naranja1{
		grid-area:naranja1;
		background-color:orange;
	}
	.naranja2{
		grid-area:naranja2;
		background-color:orange;
	}
	.azul1{
		grid-area:azul1;
		background-color:blue;
	}
	.azul2{
		grid-area:azul2;
		background-color:blue;
	}
	.azul3{
		grid-area:azul3;
		background-color:blue;
	}
	.azul4{
		grid-area:azul4;
		background-color:blue;
	}
	.azul5{
		grid-area:azul5;
		background-color:blue;
	}
	.azul6{
		grid-area:azul6;
		background-color:blue;
	}
	.azul7{
		grid-area:azul7;
		background-color:blue;
	}
	.azul8{
		grid-area:azul8;
		background-color:blue;
	}
	.azul9{
		grid-area:azul9;
		background-color:blue;
	}
	.azul10{
		grid-area:azul10;
		background-color:blue;
	}
	.footer{
		grid-area:footer;
		background-color:green;
	}


	
	</style>
</head>

<body>
	<main>
		
		<div class="header"></div>
				
		<div class="rojo"></div>
			
		<div class="morado"></div>
		
		<div class="naranja1"></div>
		
		<div class="naranja2"></div>
				
		<div class="azul1"></div>
		
		<div class="azul2"></div>
		
		<div class="azul3"></div>

		<div class="azul4"></div>

		<div class="azul5"></div>

		<div class="azul6"></div>

		<div class="azul7"></div>

		<div class="azul8"></div>

		<div class="azul9"></div>

		<div class="azul10"></div>
		
		<div class="footer"></div>
	</main>
</body>

</html>
